diff --git a/build/index.php b/build/index.php
index 4bd9851..d0509f8 100644
--- a/build/index.php
+++ b/build/index.php
@@ -752,7 +752,7 @@ class ids
 	 */
 	protected static function assign($pagename)
 	{
-		global $idindex;
+		global $idindex, $paths;
 
 		$nextid = count(array_keys(get_object_vars($idindex)));
 
@@ -1169,7 +1169,7 @@ register_module([
 	"id" => "action-protect",
 	"code" => function() {
 		add_action("protect", function() {
-			global $env, $pageindex;
+			global $env, $pageindex, $paths;
 
 			// Make sure that the user is logged in as an admin / mod.
 			if($env->is_admin)
@@ -1407,7 +1407,7 @@ register_module([
 		});
 		
 		add_action("search", function() {
-			global $settings, $env, $pageindex;
+			global $settings, $env, $pageindex, $paths;
 			
 			if(!isset($_GET["query"]))
 				exit(page_renderer::render("No Search Terms - Error - $settings->sitename", "<p>You didn't specify any search terms. Try typing some into the box above.</p>"));
@@ -1850,8 +1850,7 @@ register_module([
 	"id" => "feature-upload",
 	"code" => function() {
 		add_action("upload", function() {
-			global $settings, $env, $pageindex;
-			
+			global $settings, $env, $pageindex, $paths;
 			
 			switch($_SERVER["REQUEST_METHOD"])
 			{
@@ -2270,7 +2269,7 @@ register_module([
 	"id" => "page-delete",
 	"code" => function() {
 		add_action("delete", function() {
-			global $pageindex, $settings, $env;
+			global $pageindex, $settings, $env, $paths;
 			if(!$settings->editing)
 			{
 				exit(page_renderer::render_main("Deleting $env->page - error", "<p>You tried to delete $env->page, but editing is disabled on this wiki.</p>
@@ -2391,7 +2390,7 @@ register_module([
 		 *                %save%
 		 */
 		add_action("save", function() {
-			global $pageindex, $settings, $env, $save_preprocessors; 
+			global $pageindex, $settings, $env, $save_preprocessors, $paths; 
 			if(!$settings->editing)
 			{
 				header("location: index.php?page=$env->page");
diff --git a/core.php b/core.php
index 09ff061..fcb3204 100644
--- a/core.php
+++ b/core.php
@@ -414,7 +414,7 @@ class ids
 	 */
 	protected static function assign($pagename)
 	{
-		global $idindex;
+		global $idindex, $paths;
 
 		$nextid = count(array_keys(get_object_vars($idindex)));
 
diff --git a/module_index.json b/module_index.json
index 74b849b..255ba75 100644
--- a/module_index.json
+++ b/module_index.json
@@ -14,7 +14,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Exposes Pepperminty Wiki's new page protection mechanism and makes the protect button in the 'More...' menu on the top bar work.",
         "id": "action-protect",
-        "lastupdate": 1446975126,
+        "lastupdate": 1447053764,
         "optional": false
     },
     {
@@ -50,7 +50,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds proper search functionality to Pepperminty Wiki. Note that this module, at the moment, just contains test code while I figure out how best to write a search engine.",
         "id": "feature-search",
-        "lastupdate": 1446975588,
+        "lastupdate": 1447053773,
         "optional": false
     },
     {
@@ -59,7 +59,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds the ability to upload files to Pepperminty Wiki. Uploaded files act as pages and have the special 'File:' prefix.",
         "id": "feature-upload",
-        "lastupdate": 1447053529,
+        "lastupdate": 1447053880,
         "optional": false
     },
     {
@@ -77,7 +77,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds an action to allow administrators to delete pages.",
         "id": "page-delete",
-        "lastupdate": 1447002847,
+        "lastupdate": 1447053826,
         "optional": false
     },
     {
@@ -86,7 +86,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Allows you to edit pages by adding the edit and save actions. You should probably include this one.",
         "id": "page-edit",
-        "lastupdate": 1447002999,
+        "lastupdate": 1447053850,
         "optional": false
     },
     {
diff --git a/modules/action-protect.php b/modules/action-protect.php
index 7139298..cc11980 100644
--- a/modules/action-protect.php
+++ b/modules/action-protect.php
@@ -7,7 +7,7 @@ register_module([
 	"id" => "action-protect",
 	"code" => function() {
 		add_action("protect", function() {
-			global $env, $pageindex;
+			global $env, $pageindex, $paths;
 
 			// Make sure that the user is logged in as an admin / mod.
 			if($env->is_admin)
diff --git a/modules/feature-search.php b/modules/feature-search.php
index 6f539cb..64caebb 100644
--- a/modules/feature-search.php
+++ b/modules/feature-search.php
@@ -28,7 +28,7 @@ register_module([
 		});
 		
 		add_action("search", function() {
-			global $settings, $env, $pageindex;
+			global $settings, $env, $pageindex, $paths;
 			
 			if(!isset($_GET["query"]))
 				exit(page_renderer::render("No Search Terms - Error - $settings->sitename", "<p>You didn't specify any search terms. Try typing some into the box above.</p>"));
diff --git a/modules/feature-upload.php b/modules/feature-upload.php
index d8a5f48..b685831 100644
--- a/modules/feature-upload.php
+++ b/modules/feature-upload.php
@@ -7,8 +7,7 @@ register_module([
 	"id" => "feature-upload",
 	"code" => function() {
 		add_action("upload", function() {
-			global $settings, $env, $pageindex;
-			
+			global $settings, $env, $pageindex, $paths;
 			
 			switch($_SERVER["REQUEST_METHOD"])
 			{
diff --git a/modules/page-delete.php b/modules/page-delete.php
index 3a95437..3f5f57d 100644
--- a/modules/page-delete.php
+++ b/modules/page-delete.php
@@ -7,7 +7,7 @@ register_module([
 	"id" => "page-delete",
 	"code" => function() {
 		add_action("delete", function() {
-			global $pageindex, $settings, $env;
+			global $pageindex, $settings, $env, $paths;
 			if(!$settings->editing)
 			{
 				exit(page_renderer::render_main("Deleting $env->page - error", "<p>You tried to delete $env->page, but editing is disabled on this wiki.</p>
diff --git a/modules/page-edit.php b/modules/page-edit.php
index edaf360..01565fd 100644
--- a/modules/page-edit.php
+++ b/modules/page-edit.php
@@ -83,7 +83,7 @@ register_module([
 		 *                %save%
 		 */
 		add_action("save", function() {
-			global $pageindex, $settings, $env, $save_preprocessors; 
+			global $pageindex, $settings, $env, $save_preprocessors, $paths; 
 			if(!$settings->editing)
 			{
 				header("location: index.php?page=$env->page");
